Package ru.bitel.oss.kernel.directories.address.common.bean

# Class Area

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.directories.address.common.bean.AddressPrefixSuffix
ru.bitel.oss.kernel.directories.address.common.bean.CityItem
ru.bitel.oss.kernel.directories.address.common.bean.Area

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class Area extends CityItem

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.oss.kernel.directories.address.common.bean.CityItem

  `cityId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Area()`
  `Area(City city, int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Area`
  `from(Area area)`
  `Area`
  `setCity(City city)`
  `Area`
  `setCityId(int cityId)`
  `Area`
  `setId(int id)`
  Устанавливает id объекта
  `Area`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `Area`
  `setTitlePrefix(String titlePrefix)`
  `Area`
  `setTitleSuffix(String titleSuffix)`

  ### Methods inherited from class ru.bitel.oss.kernel.directories.address.common.bean.CityItem

  `getCity, getCityId`

  ### Methods inherited from class ru.bitel.oss.kernel.directories.address.common.bean.AddressPrefixSuffix

  `getTitlePrefix, getTitleSuffix, toTitle`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### Area

    public Area()

  - ### Area

    public Area(City city, int id, String title)

- ## Method Details

  - ### setCity

    public Area setCity(City city)
    Overrides:
      `setCity` in class `CityItem`

  - ### setCityId

    public Area setCityId(int cityId)
    Overrides:
      `setCityId` in class `CityItem`

  - ### setId

    public Area setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setTitle

    public Area setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setTitlePrefix

    public Area setTitlePrefix(String titlePrefix)
    Overrides:
      `setTitlePrefix` in class `AddressPrefixSuffix`

  - ### setTitleSuffix

    public Area setTitleSuffix(String titleSuffix)
    Overrides:
      `setTitleSuffix` in class `AddressPrefixSuffix`

  - ### from

    public static Area from(Area area)